"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportsCreator = void 0;
class ImportsCreator {
    createImports(dependencies) {
        let imports = '';
        for (const [depPackage, depModules] of Object.entries(dependencies)) {
            const modules = Array.isArray(depModules) ? `{ ${depModules.join(', ')} }` : depModules;
            imports += `import ${modules} from '${depPackage}';`;
        }
        return imports;
    }
}
exports.ImportsCreator = ImportsCreator;
//# sourceMappingURL=imports-creator.js.map