import { VueDependencies } from '../vue-dependencies';
export declare abstract class VueFileCreator {
    private importsCreator;
    constructor();
    create(parsedMarkdown: string, dependencies: VueDependencies, filename: string): string;
    protected abstract wrapVueContent(parsedMarkdown: string, imports: string, fileName: string): string;
    protected abstract get additionalImports(): string;
    protected getComponentName(filename: string): string;
}
